com.amazonaws.jmespath

## Class InvalidTypeException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.amazonaws.jmespath.InvalidTypeException

All Implemented Interfaces:
  Serializable

    public class InvalidTypeException
    extends RuntimeException

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`InvalidTypeException(String message)`
`InvalidTypeException(String message, Throwable t)`
`InvalidTypeException(Throwable t)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### InvalidTypeException

    public InvalidTypeException(String message,
                                Throwable t)

#### InvalidTypeException

    public InvalidTypeException(String message)

#### InvalidTypeException

    public InvalidTypeException(Throwable t)